std::is_base_of< _Base, _Derived >(3)

NAME
std::is_base_of< _Base, _Derived > - is_base_of

SYNOPSIS

Inherits std::integral_constant< bool, __is_base_of(_Base, _Derived)>.

  Public Types
typedef integral_constant< bool, __v > type
typedef bool value_type

  Public Member Functions
constexpr operator value_type () const noexcept
constexpr value_type operator() () const noexcept

  Static Public Attributes
static constexpr bool value

Detailed Description

  template<typename _Base, typename _Derived>
struct std::is_base_of< _Base, _Derived >" is_base_of

Definition at line 1411 of file type_traits.

Author

Generated automatically by Doxygen for libstdc++ from the source code.